import request from '@/utils/request'

// 查询信用承诺未履行信息列表
export function listInformation(query) {
    return request({
        url: '/crmUnfulfilledCreditCommitmentInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询信用承诺未履行信息详细
export function getInformation(id) {
    return request({
        url: '/crmUnfulfilledCreditCommitmentInformation/' + id,
        method: 'get'
    })
}

// 新增信用承诺未履行信息
export function addInformation(data) {
    return request({
        url: '/crmUnfulfilledCreditCommitmentInformation',
        method: 'post',
        data: data
    })
}

// 修改信用承诺未履行信息
export function updateInformation(data) {
    return request({
        url: '/crmUnfulfilledCreditCommitmentInformation',
        method: 'put',
        data: data
    })
}

// 删除信用承诺未履行信息
export function delInformation(id) {
    return request({
        url: '/crmUnfulfilledCreditCommitmentInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmUnfulfilledCreditCommitmentInformation/delete',ids)
}